Creates a full clone of an agent. The authenticated caller becomes
the owner of the new agent regardless of who owns the source.
Note: Permissions from the source agent are NOT cloned. Fresh permissions are
initialized for the new agent: the requesting user becomes the admin owner,
and the target project is set as the parent. Only the owner and users with
access to the target project will have access to the cloned agent.
Path Parameters:
Request Body (optional):
Current Version:
curl --location -g --request POST 'https:///api/v2/agents//clone' \
--header 'Ocp-Apim-Subscription-Key: ' \
--header 'Authorization: Bearer ' \
--header 'Content-Type: application/json' \
--data-raw '{
"name": "string",
"project_id": 0,
"access": "string",
"status": "string"
}'{
"success": true,
"message": "string",
"data": {
"id": 0,
"created_by": "string",
"modified_by": "string",
"created_on": "2019-08-24T14:15:22.123Z",
"modified_on": "2019-08-24T14:15:22.123Z",
"agent_type": {
"id": 0,
"created_by": "string",
"modified_by": "string",
"created_on": "2019-08-24T14:15:22.123Z",
"modified_on": "2019-08-24T14:15:22.123Z",
"name": "string",
"description": "string",
"parent": 0
},
"instructions": [
{
"id": 0,
"created_by": "string",
"modified_by": "string",
"created_on": "2019-08-24T14:15:22.123Z",
"modified_on": "2019-08-24T14:15:22.123Z",
"instruction": "string",
"is_deleted": true,
"parent": 0,
"agent": 0
}
],
"user": {
"id": 0,
"email": "[email protected]",
"first_name": "string",
"last_name": "string",
"organization": 0
},
"connected_tool_names": [
"string"
],
"staging_agent_id": 0,
"tags": [
"string"
],
"character_voice": {
"id": 0,
"voice_name": "string",
"voice_identifier": "string",
"gender": "male"
},
"project": {
"id": 0,
"project_name": "string"
},
"pattern": {
"id": 0,
"name": "string",
"description": "string"
},
"agent_name": "string",
"industry_area": "string",
"domain": "string",
"sample_q1": "string",
"sample_q2": "string",
"sample_q3": "string",
"sample_q4": "string",
"prefix_prompt": "string",
"alias": "string",
"is_active": true,
"is_deleted": true,
"agent_image": "string",
"access": "string",
"status": "string",
"caching_enabled": true,
"chunk_count": -2147483648,
"attachment_chunk_count": -2147483648,
"attachment_chunking": true,
"react_enabled": true,
"react_max_iteration_count": -2147483648,
"reasoning_mode": "react",
"call_enabled": true,
"is_published_as_teammate": true,
"chat_count": -2147483648,
"likes_count": -2147483648,
"conversation_starter_enabled": true,
"enable_embed": true,
"langfuse_tracing_enabled": true,
"parent": 0,
"llm_config": 0,
"cloned_from": 0
}
}